%define name	streamtuner
%define version 0.99.99
%define release %mkrel 16

Name: 	 	%{name}
Summary: 	Internet audio stream browser
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-live365.diff
Patch1:		%{name}-%{version}-helpdir.patch
Patch2:		%{name}-%{version}-xdgconfig.patch
Patch3:		%{name}-%{version}-shoutcast_url.patch
Patch4:		streamtuner-0.99.99-fix-link.patch
URL:		http://www.nongnu.org/streamtuner/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	gtk2-devel, imagemagick, scrollkeeper, curl-devel
BuildRequires:	libxml2-devel
BuildRequires:	gtk-doc intltool
BuildRequires:	taglib-devel
BuildRequires:	pygtk2.0-devel
Requires:	xterm
Requires:	%name-plugins
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
Streamtuner is a stream directory browser. It offers an intuitive and unified
interface to various streaming directories through the use of a plugin system.
Currently, ShoutCast is the only plugin.

%package -n %name-devel
Summary:	Development files from %name
Group:		Development/C
Provides:	%name-devel = %version-%release
Requires:	%name = %version

%description -n %name-devel
Headers and static libraries from %name

%package -n %name-plugins
Summary:	Plugins files for %name
Group:		Sound
Provides:	%name-plugins = %version-%release
Requires:	%name = %version
Requires:	pygtk2.0

%description -n %name-plugins
Plugins file for streamtuner, including Xiph.org station,
Live365, Shoutcast and other...

%prep
%setup -q
%patch0
%patch1 -p1
%patch2
%patch3
%patch4 -b .link

%build
./autogen.sh
%configure2_5x --disable-gtktest
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/var/lib
%find_lang %name --with-gnome

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 art/%name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 art/%name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 art/%name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_scrollkeeper
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%clean_scrollkeeper
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS TODO
%{_bindir}/%{name}*
%{_datadir}/%name
%{_datadir}/help/streamtuner/C
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/omf/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %name-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/%name/plugins/*.la
%{_libdir}/%name/plugins/*.a
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/%name

%files -n %name-plugins
%defattr(-,root,root)
%{_libdir}/%name/plugins/*.so




%changelog
* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.99.99-16mdv2011.0
+ Revision: 591511
- rebuild for python-2.7

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 0.99.99-15mdv2010.1
+ Revision: 509217
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jan 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.99.99-14mdv2009.1
+ Revision: 327291
- add P3 from Oliver Burger to reflect shoutcast URL change (Bug #46891)

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.99-13mdv2009.1
+ Revision: 313286
- lowercase ImageMagick

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.99.99-13mdv2009.0
+ Revision: 261208
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 0.99.99-12mdv2009.0
+ Revision: 253573
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 18 2008 Emmanuel Andry <eandry@mandriva.org> 0.99.99-10mdv2008.1
+ Revision: 188708
- remove non existing requires (#38096)
- add missing BR

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 0.99.99-9mdv2008.0
+ Revision: 93922
- add P1 to use xdg-open (bug #34193)
- fix build with intltoolize --force

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 0.99.99-8mdv2008.0
+ Revision: 57060
- drop legacy menu
- use the scrollkeeper macros
- patch fix help dir
- depend on scrollkeeper


* Sat Dec 02 2006 Pascal Terjan <pterjan@mandriva.org> 0.99.99-7mdv2007.0
+ Revision: 89939
- Fix some files listed twice
- Import streamtuner

* Sun Mar 19 2006 Austin Acton <austin@mandriva.org> 0.99.99-6mdk
- does not require xmms

* Sun Mar 19 2006 Michael Scherer <misc@mandriva.org> 0.99.99-5mdk
- Rebuild for new openssl
- use mkrel

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 0.99.99-4mdk
- python plugin requires pygtk2.0 (viorxus)

* Fri May 13 2005 Austin Acton <austin@mandriva.org> 0.99.99-3mdk
- patch for live365 changes (fixes bug #15940)

* Tue Dec 28 2004 Austin Acton <austin@mandrake.org> 0.99.99-2mdk
- require plugins

* Mon Dec 27 2004 Austin Acton <austin@mandrake.org> 0.99.99-1mdk
- 0.99.99

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.99-2mdk
- Rebuild for new python

* Sun Oct 24 2004 Jerome Soyer <saispo@mandrake.org> 0.99-1mdk
- 0.99

* Wed Aug 18 2004 Jerome Soyer <saispo@mandrake.org> 0.12.5-2mdk
- Fix BuildRequires

* Wed Aug 11 2004 Jerome Soyer <saispo@mandrake.org> 0.12.5-1mdk
- 0.12.5
- remove gcc patch

* Tue Jul 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.12.3-2mdk
- Rebuild for new curl
- Fix URL
- Compilation fix with new gcc

* Thu May 13 2004 Austin Acton <austin@mandrake.org> 0.12.3-1mdk
- 0.12.3
- disable gtk test

* Fri Apr 02 2004 Austin Acton <austin@mandrake.org> 0.12.1-1mdk
- 0.12.1

* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11.1-2mdk
- Own dir

* Sat Feb 07 2004 Austin Acton <austin@mandrake.org> 0.11.1-1mdk
- 0.11.1

* Tue Feb 03 2004 Austin Acton <austin@mandrake.org> 0.11.0-2mdk
- requires xmms, xterm
- libtoolize
- configure 2.5

* Mon Feb 02 2004 Austin Acton <austin@mandrake.org> 0.11.0-1mdk
- 0.11.0

* Fri Jan 23 2004 Austin Acton <austin@mandrake.org> 0.10.2-1mdk
- 0.10.2
- fix buildrequires (lib64)
- add icons
- add locales

